# artemis-portable

Script to build ARTEMiS with Python and MariaDB bundled

## Setup instructions
Initial setup has been done for you. To import game data, follow ARTEMiS' [Games Documentation](https://gitea.tendokyu.moe/Hay1tsme/artemis/src/branch/develop/docs/game_specific_info.md), but replace `python dbutils.py` with `dbutils.bat`, and `python read.py` with `read.bat`.

To migrate data from Aqua, use the `aqua-importer.bat` script in a command prompt:
```
aqua-importer.bat D:/PATH/TO/AQUA
```

## Updating ARTEMiS
Run `update-artemis.bat`, which will download the latest version of ARTEMiS, update dependencies and do any migrations needed.

## Running ARTEMiS
Double click `start.bat`. That's it.

## Updating from a previous artemis-portable installation
Extract the new artemis-portable, then copy the `mariadb` folder over to keep your user data.

Remember to do migrations afterwards with:
```batchfile
dbutils.bat upgrade
```

## Download
Built on [`Hay1tsme/artemis@c4deff9d1c`](https://gitea.tendokyu.moe/Hay1tsme/artemis/commit/c4deff9d1c64dc2b2275c67ced64767ac848e852)

includes chunithm sun+ data (up to ASP9), maimai fes+ data (up to G031), ongeki bright memory data (up to A108)

[download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) [download](https://pixeldrain.com/u/VqzhcCfL) 


## Build requirements
- curl (should be bundled with Windows 10 since forever)
- 7zip

## Run
```powershell
# maybe needed, maybe not
Set-ExecutionPolicy Unrestricted

.\build.ps1
```